org.eclipse.viatra.cep.core.engine.compiler.util

## Class EpsilonTransitionProcessor

- java.lang.Object
- - org.eclipse.viatra.cep.core.engine.compiler.util.EpsilonTransitionProcessor

- All Implemented Interfaces:
    IMatchProcessor<EpsilonTransitionMatch>

      public abstract class EpsilonTransitionProcessor
      extends java.lang.Object
      implements IMatchProcessor<EpsilonTransitionMatch>

  A match processor tailored for the org.eclipse.viatra.cep.core.engine.compiler.epsilonTransition pattern. Clients should derive an (anonymous) class that implements the abstract process().

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EpsilonTransitionProcessor()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `process(Automaton pAutomaton, EpsilonTransition pTransition, State pPreState, State pPostState)` Defines the action that is to be executed on each match.
    `void` | `process(EpsilonTransitionMatch match)` Defines the action that is to be executed on each match.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EpsilonTransitionProcessor

          public EpsilonTransitionProcessor()

  - ### Method Detail

    - #### process

          public abstract void process(Automaton pAutomaton,
                                       EpsilonTransition pTransition,
                                       State pPreState,
                                       State pPostState)

      Defines the action that is to be executed on each match.
      Parameters:
        `pAutomaton` - the value of pattern parameter automaton in the currently processed match
        `pTransition` - the value of pattern parameter transition in the currently processed match
        `pPreState` - the value of pattern parameter preState in the currently processed match
        `pPostState` - the value of pattern parameter postState in the currently processed match

    - #### process

          public void process(EpsilonTransitionMatch match)

      Description copied from interface: `IMatchProcessor`
      Defines the action that is to be executed on each match.
      Specified by:
        `process` in interface `IMatchProcessor<EpsilonTransitionMatch>`
      Parameters:
        `match` - a single match of the pattern that must be processed by the implementation of this method